Page MenuHomePhabricator

Certain images do not load when wgLazyLoadedImages is true
Closed, ResolvedPublic

Description

Visit http://reading-web-staging.wmflabs.org/wiki/Syrian_Civil_War?mobileaction=beta
In stable there are various flags under the "Main belligerents" section but on beta these never load and we see an infinite spinner.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
DeclinedNone
OpenNone
Resolveddr0ptp4kt
DuplicateJhernandez
Duplicatedr0ptp4kt
OpenNone
ResolvedJdlrobson
ResolvedJdlrobson
DeclinedBBlack
ResolvedJdlrobson
Resolvedphuedx
ResolvedJdlrobson
ResolvedJdlrobson
ResolvedJhernandez
ResolvedJhernandez
ResolvedBBlack
ResolvedNuria

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: MobileFrontend.
Jdlrobson added subscribers: Krinkle, Peter, Nirzar and 7 others.
Jdlrobson triaged this task as Normal priority.Feb 17 2016, 6:13 PM
Jdlrobson moved this task from Backlog to Parking lot on the MobileFrontend board.Feb 18 2016, 6:25 PM
Jdlrobson moved this task from To Do to Doing on the Reading-Web-Sprint-67-If, Then, Else...? board.

Seems to assume that all images are wrapped in an anchor element with class image. Not true...

Change 274317 had a related patch set uploaded (by Jdlrobson):
Lazy load all images that have been replaced by the placeholder

https://gerrit.wikimedia.org/r/274317

Change 274317 merged by jenkins-bot:
Lazy load all images that have been replaced by the placeholder

https://gerrit.wikimedia.org/r/274317

Jdlrobson closed this task as Resolved.Mar 4 2016, 10:22 PM

Verified on reading web staging